LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-03-2017, 02:21 PM   #1
moshebagelfresser
Member
 
Registered: Sep 2005
Location: Rishon Le Ziyyon Israel
Posts: 198

Rep: Reputation: 21
libdrm-common not installing


moshe7@moshe7-ThinkPad-T420 ~ $ sudo apt-get dist-upgrade
[sudo] password for moshe7:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
libwebpmux2
Use 'sudo apt autoremove' to remove it.
The following NEW packages will be installed:
libdrm-common
The following packages will be upgraded:
libdrm-amdgpu1 libdrm-amdgpu1:i386 libdrm-dev libdrm-intel1
libdrm-intel1:i386 libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1
libdrm-radeon1:i386 libdrm2 libdrm2:i386 linux-libc-dev
12 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 841 kB/1,490 kB of archives.
After this operation, 26.6 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://security.ubuntu.com/ubuntu xenial-security/main amd64 linux-libc-dev amd64 4.4.0-89.112 [841 kB]
Fetched 841 kB in 2s (329 kB/s)
(Reading database ... 457753 files and directories currently installed.)
Preparing to unpack .../libdrm-common_2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1_all.deb ...
Unpacking libdrm-common (2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1) ...
dpkg: error processing archive /var/cache/apt/archives/libdrm-common_2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1_all.deb (--unpack):
trying to overwrite '/usr/share/libdrm/amdgpu.ids', which is also in package libdrm-amdgpu1:amd64 2.4.82+git20170725.3876bc24-0ubuntu0ricotz~16.04.1
Errors were encountered while processing:
/var/cache/apt/archives/libdrm-common_2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
moshe7@moshe7-ThinkPad-T420 ~ $


How do correct this? Anyone know?

Last edited by moshebagelfresser; 08-03-2017 at 02:22 PM.
 
Old 08-03-2017, 07:37 PM   #2
Alex Kevlar
LQ Newbie
 
Registered: Aug 2017
Posts: 1

Rep: Reputation: Disabled
Try running the following command on terminal:

Code:
sudo apt-get update
sudo apt-get install libdrm-amdgpu1
Then try to repeat the update
 
Old 08-04-2017, 06:27 AM   #3
moshebagelfresser
Member
 
Registered: Sep 2005
Location: Rishon Le Ziyyon Israel
Posts: 198

Original Poster
Rep: Reputation: 21
Hi Alex Kevlar your suggestion didn't work:

moshe7@moshe7-ThinkPad-T420 ~ $ sudo apt-get install libdrm-amdgpu
[sudo] password for moshe7:
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libdrm-amdgpu
moshe7@moshe7-ThinkPad-T420 ~ $
 
Old 08-10-2017, 03:12 PM   #4
Lehjr
LQ Newbie
 
Registered: Mar 2002
Distribution: Mandrake
Posts: 10

Rep: Reputation: 3
Quote:
Originally Posted by moshebagelfresser View Post
Hi Alex Kevlar your suggestion didn't work:

moshe7@moshe7-ThinkPad-T420 ~ $ sudo apt-get install libdrm-amdgpu
[sudo] password for moshe7:
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libdrm-amdgpulibdrm-amdgpu
moshe7@moshe7-ThinkPad-T420 ~ $
libdrm-amdgpu1 not libdrm-amdgpu

edit: of course this still won't work because you would need to use something like

sudo apt-get -o Dpkg::Options::="--force-overwrite" install libdrm-amdgpu1

Last edited by Lehjr; 08-10-2017 at 03:21 PM.
 
1 members found this post helpful.
Old 08-16-2017, 03:21 AM   #5
moshebagelfresser
Member
 
Registered: Sep 2005
Location: Rishon Le Ziyyon Israel
Posts: 198

Original Poster
Rep: Reputation: 21
Thumbs up libdrm-common not installing

Many thanks Alex Kevlar to you that worked like a dream!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem installing glibc-common maknelly Linux - Newbie 5 06-30-2012 07:07 AM
Trouble installing libdrm MrSandwich Linux - Software 1 05-17-2011 03:19 AM
xfree86-common xserver-common xfonts-base missing in etch/lenny unev_21 Debian 2 09-11-2009 02:12 AM
trouble installing libdrm-dev nemp Linux - Software 5 01-28-2009 02:51 PM
Problem installing xserver-common Scorper Debian 3 05-25-2006 06:58 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 02:07 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration